Subject: Re: bug#16542: 24.3.50; When finding a file via a bookmark, that file is not part of file-name-history

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 25 Aug 2020 12:57:03 +0200

Bastien Guerry <[email-masked]> writes:

> The subject line says it all.
>
> This trivial patch fixes it.
>
> Comments welcome,
>
> diff --git a/lisp/bookmark.el b/lisp/bookmark.el
> index 5307cad..52697c2 100644
> --- a/lisp/bookmark.el
> +++ b/lisp/bookmark.el

[...]

> +       (add-to-history 'file-name-history file)

I think this would be very surprising -- finding other things in the
minibuffer history than things I've typed in would be pretty odd.

As suggested, having a separate list of all visited files would be nice,
but the UX here would be pretty awkward.  That's discussed in bug#12915,
though, so I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no